FUSE2FS(1)

NAME
fuse2fs - FUSE file system client for ext2/ext3/ext4 file systems

SYNOPSIS
fuse2fs [ device/image ] [ mountpoint ] [ options ]

DESCRIPTION
fuse2fs is a FUSE file system client that supports reading and writing from devices or image files containing ext2, ext3, and ext4 file systems.

OPTIONS

  general options:

-o opt,[opt...]
    mount options

-h   --help
    print help

-V   --version
    print version

  fuse2fs options:

-o ro
    read-only mount

-o rw
    read-write mount (default)

-o bsddf
    bsd-style df (default)

-o minixdf
    minix-style df

-o acl
    enable file access control lists

-o cache_size
    Set the disk cache size to this quantity. The quantity may contain the suffixes k, m, or g. By default, the size is 32MB. The size may not be larger than 2GB.

-o direct
    Use O_DIRECT to access the block device.

-o errors=panic
    dump core on error

-o fakeroot
    pretend to be root for permission checks

-o fuse2fs_debug
    enable fuse2fs debugging

-o kernel
    Behave more like the kernel ext4 driver in the following ways: Allows processes owned by other users to access the filesystem. Uses the kernel's permissions checking logic instead of fuse2fs's. Enables setuid and device files. Note that these options can still be overridden (e.g. nosuid ) later.

-o lockfile=path
    use this file to control access to the filesystem

-o no_default_opts
    do not include default fuse options

-o norecovery
    do not replay the journal and mount the file system read-only

  FUSE options:

-d -o debug
    enable debug output (implies -f)

-f  foreground operation

-s  disable multi-threaded operation

For other FUSE options please see mount.fuse(8) or see the output of fuse2fs --helpfull

AVAILABILITY
fuse2fs is part of the e2fsprogs package and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
ext4(5) e2fsck(8), mount.fuse(8)